Runtime

## org.eclipse.gmf.runtime.common.ui.services.action.filter
Class TestAttributeOperation

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.services.action.filter.TestAttributeOperation

All Implemented Interfaces:
  IOperation

public class TestAttributeOperation
extends java.lang.Object
implements IOperation

An operation that performs attribute tests by determining whether a specific attribute matches the state of a target object.

Constructor Summary
`TestAttributeOperation(java.lang.Object target, java.lang.String name, java.lang.String value)` Constructs a new test attribute operation with the specified target object, attribute name, and attribute value.

Method Summary
`boolean` `equals(java.lang.Object object)` Indicates whether some other object is "equal to" this test attribute operation.
`java.lang.Object` `execute(IProvider provider)` Executes this test attribute operation on the specified provider.
`java.lang.String` `getName()` Retrieves the value of the `name` instance variable.
`java.lang.Object` `getTarget()` Retrieves the value of the `target` instance variable.
`java.lang.String` `getValue()` Retrieves the value of the `value` instance variable.
`int` `hashCode()` Retrieves a hash code value for this test attribute operation.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestAttributeOperation

    public TestAttributeOperation(java.lang.Object target,
                                  java.lang.String name,
                                  java.lang.String value)

  Constructs a new test attribute operation with the specified target object, attribute name, and attribute value.

Parameters:
  `target` - The target of the attribute test.
  `name` - The name of the attribute to test.
  `value` - The value of the attribute to test.

Method Detail

### getTarget

    public java.lang.Object getTarget()

  Retrieves the value of the `target` instance variable.

  Returns:
    The value of the `target` instance variable.

### getName

    public java.lang.String getName()

  Retrieves the value of the `name` instance variable.

  Returns:
    The value of the `name` instance variable.

### getValue

    public java.lang.String getValue()

  Retrieves the value of the `value` instance variable.

  Returns:
    The value of the `value` instance variable.

### hashCode

    public int hashCode()

  Retrieves a hash code value for this test attribute operation. This method is supported for the benefit of hashtables such as those provided by `java.util.HashMap`.

  Returns:
    A hash code value for this test attribute operation.
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(java.lang.Object object)

  Indicates whether some other object is "equal to" this test attribute operation.

  Parameters:
    `object` - The reference object with which to compare.
  Returns:
    `true` if this test attribute operation is the same as the object argument; `false` otherwise.
  See Also:
    `Object.equals(Object)`

### execute

    public java.lang.Object execute(IProvider provider)

  Executes this test attribute operation on the specified provider.

  Specified by:
    `execute` in interface `IOperation`
  Parameters:
    `provider` - The provider on which to execute this operation.
  Returns:
    The result of executing this operation.
  See Also:
    `IOperation.execute(IProvider)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.